#include "exceptionio.h"

const char* ExceptionIO::type="ExceptionIO";

const char* ExceptionIO::getType() const
{
	return type;
}

const string& ExceptionIO::getMessage() const
{
	string& mesg=*(new string);
	mesg.append("Error opening file '");
	mesg.append(fileName);
	mesg.append("' for ");
	if (readOnly) mesg.append("read.");
	else mesg.append("write.");
	return mesg;
}
